# GcuAtomicRadius Struct Reference

`#include <chemistry.h>`

List of all members.

## Public Attributes
unsigned char | Z
enum gcu_radius_type | type
GcuDimensionalValue | value
char | charge
char const * | scale
char | cn
enum gcu_spin_state | spin

## Detailed Description

GcuAtomicRadius Structure used to describe an atomic radius.

Definition at line 131 of file chemistry.h.

## Member Data Documentation

unsigned char GcuAtomicRadius::Z

The atomic number.

Definition at line 134 of file chemistry.h.

enum gcu_radius_type GcuAtomicRadius::type

The radius type (unknown, ionic, metallic, covalent, or van der Waals).

Definition at line 136 of file chemistry.h.

GcuDimensionalValue GcuAtomicRadius::value

The radius value (the unit should always be pm).

Definition at line 138 of file chemistry.h.

Referenced by gcu::CrystalAtom::r().

char GcuAtomicRadius::charge

The charge of the atom (or ion).

Definition at line 140 of file chemistry.h.

char const* GcuAtomicRadius::scale

The scale name, e.g. "Pauling" or "Shannon".

Definition at line 142 of file chemistry.h.

char GcuAtomicRadius::cn

the coordination number of the atom or -1 if unknown.

Definition at line 144 of file chemistry.h.

enum gcu_spin_state GcuAtomicRadius::spin

The spin state (unknown, low or high).

Definition at line 146 of file chemistry.h.

The documentation for this struct was generated from the following file:

- chemistry.h